Subject: bug#14532: closed (Re: bug#14532: 24.3.50; Review keybindings for bookmark-set and bookmark-jump)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Nov 2013 04:50:06 +0000

Your bug report

#14532: 24.3.50; Review keybindings for bookmark-set and bookmark-jump

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14532: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14532
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14532: 24.3.50; Review keybindings for bookmark-set and bookmark-jump
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Fri, 15 Nov 2013 10:19:24 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

OP here.  Closed.

Subject: 24.3.50; Review keybindings for bookmark-set and bookmark-jump
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Sun, 02 Jun 2013 14:58:52 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Please review default keybindings for bookmark-set and bookmark-jump.

The current keybindings are 

    C-x r b
    C-x r m

Even after years of use, I get confused on what key to press - "b" or
"m".

The "cognitive dissonance" is probably due to the word bookmark being
both a noun and a verb.

      If I treat "bookmark" as a noun, m => "mark a bookmark" seems
      satisfactory.  b => "bookmark a bookmark" (Read as a "noun a
      noun") seems a bit wanting.

      If I treat "bookmark" as a verb, then C-x r b should create a
      bookmark.  (It is not so).  m => "mark a bookmark" (read as a
      "verb a verb") seems a bit strange.

Here is a binding I have in .emacs.

    (global-set-key "^Xrv" (quote bookmark-jump))
    (global-set-key "^Xr." (quote bookmark-set))

The memory aid, I use is this:

"." stands for "this".  As in "find this tag", "bookmark this location"
etc. "v" stands for "visit".

So C-x r . creates bookmark while C-x r v visits a bookmark.

In GNU Emacs 24.3.50.4 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2013-05-28 on debian-6.05
Bzr revision: 112750 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.10707000
Important settings:
  value of $LANG: en_IN
  locale-coding-system: iso-latin-1-unix
  default enable-multibyte-characters: t